UpnpStateVarComplete.c File Reference

Source file for UpnpStateVarComplete methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpStateVarComplete.h"`
Include dependency graph for UpnpStateVarComplete.c:

## Data Structures

struct | s_UpnpStateVarComplete

## Functions

UpnpStateVarComplete * | UpnpStateVarComplete_new (void)
void | UpnpStateVarComplete_delete (UpnpStateVarComplete *q)
int | UpnpStateVarComplete_assign (UpnpStateVarComplete *p, const UpnpStateVarComplete *q)
UpnpStateVarComplete * | UpnpStateVarComplete_dup (const UpnpStateVarComplete *q)
int | UpnpStateVarComplete_get_ErrCode (const UpnpStateVarComplete *p)
int | UpnpStateVarComplete_set_ErrCode (UpnpStateVarComplete *p, int n)
const UpnpString * | UpnpStateVarComplete_get_CtrlUrl (const UpnpStateVarComplete *p)
int | UpnpStateVarComplete_set_CtrlUrl (UpnpStateVarComplete *p, const UpnpString *s)
size_t | UpnpStateVarComplete_get_CtrlUrl_Length (const UpnpStateVarComplete *p)
const char * | UpnpStateVarComplete_get_CtrlUrl_cstr (const UpnpStateVarComplete *p)
int | UpnpStateVarComplete_strcpy_CtrlUrl (UpnpStateVarComplete *p, const char *s)
int | UpnpStateVarComplete_strncpy_CtrlUrl (UpnpStateVarComplete *p, const char *s, size_t n)
void | UpnpStateVarComplete_clear_CtrlUrl (UpnpStateVarComplete *p)
const UpnpString * | UpnpStateVarComplete_get_StateVarName (const UpnpStateVarComplete *p)
int | UpnpStateVarComplete_set_StateVarName (UpnpStateVarComplete *p, const UpnpString *s)
size_t | UpnpStateVarComplete_get_StateVarName_Length (const UpnpStateVarComplete *p)
const char * | UpnpStateVarComplete_get_StateVarName_cstr (const UpnpStateVarComplete *p)
int | UpnpStateVarComplete_strcpy_StateVarName (UpnpStateVarComplete *p, const char *s)
int | UpnpStateVarComplete_strncpy_StateVarName (UpnpStateVarComplete *p, const char *s, size_t n)
void | UpnpStateVarComplete_clear_StateVarName (UpnpStateVarComplete *p)
const DOMString | UpnpStateVarComplete_get_CurrentVal (const UpnpStateVarComplete *p)
int | UpnpStateVarComplete_set_CurrentVal (UpnpStateVarComplete *p, const DOMString s)
const char * | UpnpStateVarComplete_get_CurrentVal_cstr (const UpnpStateVarComplete *p)

## Detailed Description

Source file for UpnpStateVarComplete methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpStateVarComplete_assign()

int UpnpStateVarComplete_assign | ( | UpnpStateVarComplete * | p,
|  | const UpnpStateVarComplete * | q )

Assignment operator

References UpnpStateVarComplete_get_CtrlUrl(), UpnpStateVarComplete_get_CurrentVal(), UpnpStateVarComplete_get_ErrCode(), UpnpStateVarComplete_get_StateVarName(), UpnpStateVarComplete_set_CtrlUrl(), UpnpStateVarComplete_set_CurrentVal(), UpnpStateVarComplete_set_ErrCode(), and UpnpStateVarComplete_set_StateVarName().

Referenced by UpnpStateVarComplete_dup().

## UpnpStateVarComplete_clear_CtrlUrl()

void UpnpStateVarComplete_clear_CtrlUrl | ( | UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_clear_CtrlUrl

References UpnpString_clear().

## UpnpStateVarComplete_clear_StateVarName()

void UpnpStateVarComplete_clear_StateVarName | ( | UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_clear_StateVarName

References UpnpString_clear().

## UpnpStateVarComplete_delete()

void UpnpStateVarComplete_delete | ( | UpnpStateVarComplete * | p | ) |

Destructor

References ixmlFreeDOMString(), and UpnpString_delete().

Referenced by UpnpThreadDistribution().

## UpnpStateVarComplete_dup()

UpnpStateVarComplete * UpnpStateVarComplete_dup | ( | const UpnpStateVarComplete * | p | ) |

Copy Constructor

References UpnpStateVarComplete_assign(), and UpnpStateVarComplete_new().

## UpnpStateVarComplete_get_CtrlUrl()

const UpnpString * UpnpStateVarComplete_get_CtrlUrl | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_CtrlUrl

Referenced by SampleUtil_PrintEvent(), UpnpStateVarComplete_assign(), UpnpStateVarComplete_get_CtrlUrl_cstr(), and UpnpStateVarComplete_get_CtrlUrl_Length().

## UpnpStateVarComplete_get_CtrlUrl_cstr()

const char * UpnpStateVarComplete_get_CtrlUrl_cstr | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_CtrlUrl_cstr

References UpnpStateVarComplete_get_CtrlUrl(), and UpnpString_get_String().

## UpnpStateVarComplete_get_CtrlUrl_Length()

size_t UpnpStateVarComplete_get_CtrlUrl_Length | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_CtrlUrl_Length

References UpnpStateVarComplete_get_CtrlUrl(), and UpnpString_get_Length().

## UpnpStateVarComplete_get_CurrentVal()

const DOMString UpnpStateVarComplete_get_CurrentVal | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_CurrentVal

References DOMString.

Referenced by SampleUtil_PrintEvent(), UpnpStateVarComplete_assign(), and UpnpStateVarComplete_get_CurrentVal_cstr().

## UpnpStateVarComplete_get_CurrentVal_cstr()

const char * UpnpStateVarComplete_get_CurrentVal_cstr | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_CurrentVal_cstr

References UpnpStateVarComplete_get_CurrentVal().

## UpnpStateVarComplete_get_ErrCode()

int UpnpStateVarComplete_get_ErrCode | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_ErrCode

Referenced by SampleUtil_PrintEvent(), and UpnpStateVarComplete_assign().

## UpnpStateVarComplete_get_StateVarName()

const UpnpString * UpnpStateVarComplete_get_StateVarName | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_StateVarName

Referenced by SampleUtil_PrintEvent(), UpnpStateVarComplete_assign(), UpnpStateVarComplete_get_StateVarName_cstr(), and UpnpStateVarComplete_get_StateVarName_Length().

## UpnpStateVarComplete_get_StateVarName_cstr()

const char * UpnpStateVarComplete_get_StateVarName_cstr | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_StateVarName_cstr

References UpnpStateVarComplete_get_StateVarName(), and UpnpString_get_String().

## UpnpStateVarComplete_get_StateVarName_Length()

size_t UpnpStateVarComplete_get_StateVarName_Length | ( | const UpnpStateVarComplete * | p | ) |

UpnpStateVarComplete_get_StateVarName_Length

References UpnpStateVarComplete_get_StateVarName(), and UpnpString_get_Length().

## UpnpStateVarComplete_new()

UpnpStateVarComplete * UpnpStateVarComplete_new | ( | void |  | ) |

Constructor

References UpnpString_new().

Referenced by UpnpStateVarComplete_dup(), and UpnpThreadDistribution().

## UpnpStateVarComplete_set_CtrlUrl()

int UpnpStateVarComplete_set_CtrlUrl | ( | UpnpStateVarComplete * | p,
|  | const UpnpString * | s )

UpnpStateVarComplete_set_CtrlUrl

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpStateVarComplete_assign().

## UpnpStateVarComplete_set_CurrentVal()

int UpnpStateVarComplete_set_CurrentVal | ( | UpnpStateVarComplete * | p,
|  | const DOMString | s )

UpnpStateVarComplete_set_CurrentVal

References DOMString, ixmlCloneDOMString(), and ixmlFreeDOMString().

Referenced by UpnpStateVarComplete_assign(), and UpnpThreadDistribution().

## UpnpStateVarComplete_set_ErrCode()

int UpnpStateVarComplete_set_ErrCode | ( | UpnpStateVarComplete * | p,
|  | int | n )

UpnpStateVarComplete_set_ErrCode

Referenced by UpnpStateVarComplete_assign(), and UpnpThreadDistribution().

## UpnpStateVarComplete_set_StateVarName()

int UpnpStateVarComplete_set_StateVarName | ( | UpnpStateVarComplete * | p,
|  | const UpnpString * | s )

UpnpStateVarComplete_set_StateVarName

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpStateVarComplete_assign().

## UpnpStateVarComplete_strcpy_CtrlUrl()

int UpnpStateVarComplete_strcpy_CtrlUrl | ( | UpnpStateVarComplete * | p,
|  | const char * | s )

UpnpStateVarComplete_strcpy_CtrlUrl

References UpnpString_set_String().

Referenced by UpnpThreadDistribution().

## UpnpStateVarComplete_strcpy_StateVarName()

int UpnpStateVarComplete_strcpy_StateVarName | ( | UpnpStateVarComplete * | p,
|  | const char * | s )

UpnpStateVarComplete_strcpy_StateVarName

References UpnpString_set_String().

Referenced by UpnpThreadDistribution().

## UpnpStateVarComplete_strncpy_CtrlUrl()

int UpnpStateVarComplete_strncpy_CtrlUrl | ( | UpnpStateVarComplete * | p,
|  | const char * | s,
|  | size_t | n )

UpnpStateVarComplete_strncpy_CtrlUrl

References UpnpString_set_StringN().

## UpnpStateVarComplete_strncpy_StateVarName()

int UpnpStateVarComplete_strncpy_StateVarName | ( | UpnpStateVarComplete * | p,
|  | const char * | s,
|  | size_t | n )

UpnpStateVarComplete_strncpy_StateVarName

References UpnpString_set_StringN().